split.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_SPLIT(n, im) MSGPACK_PP_SPLIT_I(n)(im)
#define | MSGPACK_PP_SPLIT_I(n) MSGPACK_PP_SPLIT_ ## n
#define | MSGPACK_PP_SPLIT_0(a, b) a
#define | MSGPACK_PP_SPLIT_1(a, b) b

## Macro Definition Documentation

## MSGPACK_PP_SPLIT

#define MSGPACK_PP_SPLIT | ( |  | n,
|  |  | im
| ) |  | MSGPACK_PP_SPLIT_I(n)(im)

## MSGPACK_PP_SPLIT_0

#define MSGPACK_PP_SPLIT_0 | ( |  | a,
|  |  | b
| ) |  | a

## MSGPACK_PP_SPLIT_1

#define MSGPACK_PP_SPLIT_1 | ( |  | a,
|  |  | b
| ) |  | b

## MSGPACK_PP_SPLIT_I

#define MSGPACK_PP_SPLIT_I | ( |  | n | ) | MSGPACK_PP_SPLIT_ ## n